﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Syncfusion.Web.UI.WebControls.Chart;
using Syncfusion.Windows.Forms.Chart;
using Syncfusion.Drawing;
using System.Drawing;

namespace WebApplication1
{
    public partial class Chart : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)

        {
            //this.ChartWebControl1.PrimaryXAxis.ExcludeInvisibleSeriesRange = true;
            //this.ChartWebControl1.PrimaryYAxis.ExcludeInvisibleSeriesRange = true;
            this.ChartWebControl1.Legend.Visible = true;
            this.ChartWebControl1.Legend.VisibleCheckBox = true;
        
            ChartSeries series1 = new ChartSeries("Product A", ChartSeriesType.Pyramid);
            series1.Points.Add(0, 0);
            series1.Points.Add(1, 0);
            series1.Points.Add(2, 0);
            series1.Points.Add(3, 0.05);
           series1.Points.Add(4, 13.52);
            series1.Style.DisplayText = true;
            //series1.ConfigItems.PyramidItem.ShowDataBindLabels = true;
            series1.ConfigItems.PyramidItem.LabelPlacement = ChartAccumulationLabelPlacement.Left;
            series1.ConfigItems.PyramidItem.LabelStyle = ChartAccumulationLabelStyle.Outside;
          
            this.ChartWebControl1.Series.Add(series1);
           
            ChartWebControl1.SmoothingMode = System.Drawing.Drawing2D.SmoothingMode.AntiAlias;
            ChartWebControl1.ChartArea.PrimaryXAxis.HidePartialLabels = true;
            ChartWebControl1.ElementsSpacing = 5;
         
        }
        
    }
}